New To Mac-Forums?

Welcome to our community! Join the discussion today by registering your FREE account. If you have any problems with the registration process, please contact us!

Get your questions answered by community gurus Advice and insight from world-class Apple enthusiasts Exclusive access to members-only contests, giveaways and deals

Join today!

 
Start a Discussion
 

Mac-Forums Brief

Subscribe to Mac-Forums Brief to receive special offers from Mac-Forums partners and sponsors

Join the conversation RSS
OS X - Development and Darwin Discussion and questions about development for Mac OS X.

java 1.6 on snow leopard?


Post Reply New Thread Subscribe

 
Thread Tools
mr.wu

 
Member Since: Sep 07, 2009
Posts: 7
mr.wu is on a distinguished road

mr.wu is offline
Hi all,

I have a java app (.jar file) developed on windows using java 1.6.
This app uses swingworker which is 1.6 specific feature.

Obviously this app fails to work on leopard 10.5.8 because default java is 1.5.
I then switch the default java to 1.6; the situation is even worse because app fails to start even after I modify the app not to ask for default look and feel i.e. aqua.

For some reasons, java 1.6 from apple is still not fully compatible with other JVM at least on 10.5.8. ( I tested this app on windows, linux and solaris to be working as intended).

What is the default version of java on 10.6? I am not ready to jump into it just yet and I don't have access to any machine with 10.6.

Thanks
QUOTE Thanks
vansmith

 
vansmith's Avatar
 
Member Since: Oct 19, 2008
Location: Toronto
Posts: 17,669
vansmith has a reputation beyond reputevansmith has a reputation beyond reputevansmith has a reputation beyond reputevansmith has a reputation beyond reputevansmith has a reputation beyond reputevansmith has a reputation beyond reputevansmith has a reputation beyond reputevansmith has a reputation beyond reputevansmith has a reputation beyond reputevansmith has a reputation beyond reputevansmith has a reputation beyond repute
Mac Specs: 2012 13" MBP (2.5 i5, 8GB)

vansmith is online now
Here is my output for you:
Code:
~ :: java -version
java version "1.6.0_15"
Java(TM) SE Runtime Environment (build 1.6.0_15-b03-219)
Java HotSpot(TM) 64-Bit Server VM (build 14.1-b02-90, mixed mode)
In fact, when I take a look at Java Preferences, the only options I have available are Java 6 64-bit and Java 6 32-bit.

Important Links: Community Guidelines : Use the reputation system if you've been helped.
M-F Blog :: Write for the blog
Personal Twitter
QUOTE Thanks

Post Reply New Thread Subscribe


« C++ novice needs help getting started. | using xcode »
Thread Tools

Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts
BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off
Forum Jump

Similar Threads
Thread
Thread Starter
Forum
Replies
Last Post
Snow Leopard hangs on grey screen when usb hard drive attached gilc OS X - Operating System 2 09-19-2009 06:44 PM
Tiger External HD Snow Leopard cad2blender OS X - Operating System 1 09-01-2009 05:18 PM
Snow Leopard coming in Q1 2009? livinitup1 Apple Rumors and Reports 81 06-09-2009 08:41 AM
Snow Leopard in September? Notebooks move to Nehalem? livinitup1 Apple Rumors and Reports 6 04-14-2009 06:10 PM
Snow Leopard on new Macs? jcb815 OS X - Operating System 1 03-31-2009 01:09 PM

All times are GMT -4. The time now is 09:01 AM.

Powered by vBulletin
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
X

Welcome to Mac-Forums.com

Create your username to jump into the discussion!

New members like you have made this community the ultimate source for your Mac since 2003!


(4 digit year)

Already a member?